# Percentage

Handles all Percentage Transfer Restriction related functionality

## Hierarchy

↳ [TransferRestrictionBase](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transferrestrictionbase)‹[Percentage](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/enums/transferrestrictiontype#percentage)›

↳ **Percentage**

## Index

### Properties

* [context](#protected-context)
* [get](#get)
* [parent](#protected-parent)
* [type](#protected-type)

### Methods

* [addRestriction](#addrestriction)
* [removeRestrictions](#removerestrictions)
* [setRestrictions](#setrestrictions)

## Properties

### `Protected` context

• **context**: [*Context*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/context)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/Namespace.ts#L11)

### get

• **get**: *function*

*Overrides* [*TransferRestrictionBase*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transferrestrictionbase)*.*[*get*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/transferrestrictionbase#get)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:64*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L64)

Retrieve all active Percentage Transfer Restrictions

**`note`** there is a maximum number of restrictions allowed accross all types. The `availableSlots` property of the result represents how many more restrictions can be added before reaching that limit

#### Type declaration:

▸ (): *Promise‹*[*ActiveTransferRestrictions*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/activetransferrestrictions)*‹*[*PercentageTransferRestriction*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/percentagetransferrestriction)*››*

### `Protected` parent

• **parent**: [*SecurityToken*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/securitytoken)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/Namespace.ts#L9)

### `Protected` type

• **type**: [*Percentage*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/enums/transferrestrictiontype#percentage) = TransferRestrictionType.Percentage as const

*Overrides* [*TransferRestrictionBase*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transferrestrictionbase)*.*[*type*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/transferrestrictionbase#protected-abstract-type)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:19*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L19)

## Methods

### addRestriction

▸ **addRestriction**(`args`: Omit‹[AddPercentageTransferRestrictionParams](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/globals#addpercentagetransferrestrictionparams), "type"›, `opts?`: [ProcedureOpts](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/procedureopts)): *Promise‹*[*TransactionQueue*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transactionqueue)*‹number››*

*Overrides* [*TransferRestrictionBase*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transferrestrictionbase)*.*[*addRestriction*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/transferrestrictionbase#addrestriction)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:29*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L29)

Add a Percentage Transfer Restriction to this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** this method is of type [ProcedureMethod](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/proceduremethod), which means you can call `addRestriction.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                                                                           |
| ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `args`  | Omit‹[AddPercentageTransferRestrictionParams](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/globals#addpercentagetransferrestrictionparams), "type"› |
| `opts?` | [ProcedureOpts](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/procedureopts)                                                              |

**Returns:** *Promise‹*[*TransactionQueue*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transactionqueue)*‹number››*

### removeRestrictions

▸ **removeRestrictions**(`args`: void, `opts?`: [ProcedureOpts](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/procedureopts)): *Promise‹*[*TransactionQueue*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transactionqueue)*‹number››*

*Overrides* [*TransferRestrictionBase*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transferrestrictionbase)*.*[*removeRestrictions*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/transferrestrictionbase#removerestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:53*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L53)

Removes all Percentage Transfer Restrictions from this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** this method is of type [ProcedureMethod](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/proceduremethod), which means you can call `removeRestrictions.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                              |
| ------- | ----------------------------------------------------------------------------------------------------------------- |
| `args`  | void                                                                                                              |
| `opts?` | [ProcedureOpts](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/procedureopts) |

**Returns:** *Promise‹*[*TransactionQueue*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transactionqueue)*‹number››*

### setRestrictions

▸ **setRestrictions**(`args`: Omit‹[SetPercentageTransferRestrictionsParams](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/setpercentagetransferrestrictionsparams), "type"›, `opts?`: [ProcedureOpts](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/procedureopts)): *Promise‹*[*TransactionQueue*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transactionqueue)*‹number››*

*Overrides* [*TransferRestrictionBase*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transferrestrictionbase)*.*[*setRestrictions*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/transferrestrictionbase#setrestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:41*](https://github.com/PolymathNetwork/polymesh-sdk/blob/959efb76/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L41)

Sets all Percentage Transfer Restrictions on this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** this method is of type [ProcedureMethod](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/proceduremethod), which means you can call `setRestrictions.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                                                                                |
| ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `args`  | Omit‹[SetPercentageTransferRestrictionsParams](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/setpercentagetransferrestrictionsparams), "type"› |
| `opts?` | [ProcedureOpts](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/interfaces/procedureopts)                                                                   |

**Returns:** *Promise‹*[*TransactionQueue*](https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/transactionqueue)*‹number››*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v10/classes/percentage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
